//
//  YHAllowSettingTableViewCell.swift
//  galaxy
//
//  Created by EDY on 2024/6/18.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHAllowSettingTableViewCell: UITableViewCell {
    var titleLabel: UILabel!
    var exampleButton: UIButton!
    var subTitleLabel: UILabel!
    var detailSwitch: UISwitch!
    var item: YHSettingItem? {
        didSet {
            updateData()
        }
    }
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }

    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        selectionStyle = .none
        setupUI()
    }
    
    func setupUI() {
        contentView.backgroundColor = .clear
        backgroundColor = .clear
        
        titleLabel = {
            let label = UILabel()
            label.font = UIFont.PFSC_M(ofSize: 17)
            label.textColor = UIColor.mainTextColor
            return label
        }()
        contentView.addSubview(titleLabel)
        titleLabel.snp.makeConstraints { make in
            make.left.equalTo(21)
            make.top.equalTo(16)
            make.height.equalTo(22)
        }
        
        exampleButton = {
            let button = UIButton(type: .custom)
            button.setBackgroundImage(UIImage(named: "work_experience_alert"), for: .normal)
            button.addTarget(self, action: #selector(exampleClick), for: .touchUpInside)
            return button
        }()
        contentView.addSubview(exampleButton)
        exampleButton.snp.makeConstraints { make in
            make.left.equalTo(titleLabel.snp.right).offset(4)
            make.centerY.equalTo(titleLabel.snp.centerY)
            make.height.equalTo(18)
            make.width.equalTo(18)
        }
        
        subTitleLabel = {
            let label = UILabel()
            label.font = UIFont.PFSC_R(ofSize: 13)
            label.textColor = UIColor.mainTextColor30
            label.numberOfLines = 0
            return label
        }()
        contentView.addSubview(subTitleLabel)
        subTitleLabel.snp.makeConstraints { make in
            make.left.equalTo(21)
            make.right.equalTo(-87)
            make.top.equalTo(46)
        }
        
        detailSwitch = {
            let switchView = UISwitch()
            switchView.onTintColor =  UIColor.brandMainColor
            switchView.addTarget(self, action: #selector(switchViewChange), for: .valueChanged)
            return switchView
        }()
        contentView.addSubview(detailSwitch)
        detailSwitch.snp.makeConstraints { make in
            make.right.equalTo(-21)
            make.centerY.equalToSuperview()
            make.height.equalTo(22)
            make.width.equalTo(40)
        }
        exampleButton.YH_clickEdgeInsets = UIEdgeInsets(top: 50, left: 50, bottom: 50, right: 50)
        detailSwitch.transform = CGAffineTransform(scaleX: 0.77, y: 0.77)
    }
    
    @objc func exampleClick() {
        
    }
    
    @objc func switchViewChange() {
        
    }
    
    func updateData() {
        guard let model = item else { return }
        titleLabel.text = model.title
        subTitleLabel.text = model.subTitle
        exampleButton.isHidden = !model.isShowAlert
        detailSwitch.isOn = model.isSelect
    }
}
